http://gambitcomm.local/mimic/agent/{agentNum}/protocol/msg/mqtt/client/message/get/{msgNum}/{attr}Attribute can be topic, interval, count, sent , pre, post, properties(list of PUBLISH properties), properties.i (i-th PUBLISH property), properties.PROP-NAME (PUBLISH property with name PROP-NAME)
Agent to show MQTT state
Message Number
Attribute
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'http://gambitcomm.local/mimic/agent/{agentNum}/protocol/msg/mqtt/client/message/get/{msgNum}/{attr}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://gambitcomm.local/mimic/agent/{agentNum}/protocol/msg/mqtt/client/message/get/{msgNum}/{attr}Attribute can be topic, interval, count, sent , pre, post, properties(list of PUBLISH properties), properties.i (i-th PUBLISH property), properties.PROP-NAME (PUBLISH property with name PROP-NAME)
Agent to show MQTT state
Message Number
Attribute
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'http://gambitcomm.local/mimic/agent/{agentNum}/protocol/msg/mqtt/client/message/get/{msgNum}/{attr}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}